Loading...
Searching...
No Matches
devsettings::Smtp Interface Reference

SMTP settings interface. More...

`import "Smtp.idl";`

## Classes

struct | Configuration
| SMTP server configuration. More...
struct | TestResult
| Result of SMTP configuration test. More...

## Public Member Functions

Configuration | getConfiguration ()
| Retrieve the SMTP server configuration.
int | setConfiguration (in Configuration cfg)
| Set the SMTP server configuration.
TestResult | testConfiguration (in Configuration cfg, in vector< string > recipients)
| Test an SMTP server configuration.

## Public Attributes

constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.

## Detailed Description

SMTP settings interface.

Definition at line 12 of file Smtp.idl.

## Member Function Documentation

## getConfiguration()

Configuration devsettings::Smtp::getConfiguration | ( |  | ) |

Retrieve the SMTP server configuration.

Returns
  SMTP server configuration

## setConfiguration()

int devsettings::Smtp::setConfiguration | ( | in Configuration | cfg | ) |

Set the SMTP server configuration.

Parameters

  cfg | New SMTP server settings

Returns
  0 if OK
  1 if any parameters are invalid

## testConfiguration()

TestResult devsettings::Smtp::testConfiguration | ( | in Configuration | cfg,
|  | in vector< string > | recipients )

Test an SMTP server configuration.

The active server configuration is not changed.

Parameters

  cfg | SMTP server settings to test
  recipients | Recipient email addresses

Returns
  Result of configuration test

## Member Data Documentation

## ERR_INVALID_PARAMS

constant int devsettings::Smtp::ERR_INVALID_PARAMS = 1

Invalid parameters.

Definition at line 14 of file Smtp.idl.

The documentation for this interface was generated from the following file:

- Smtp.idl